#include <stdio.h>
#include <ctype.h>

#include "/usr/include/opencv/highgui.h"
#include "/usr/include/opencv/cxtypes.h"
#include "/usr/include/opencv/cv.h"
//#include "/usr/include/opencv/cxmisc.h"
#include "/usr/include/opencv/cxcore.h"
#include "/usr/include/opencv/cvaux.h"

#include <dirent.h>

#include <sys/stat.h>

#define LOGATTFILE "image_attributes.txt"

int dest_viewer_window( int logtodisk ); 

int init_viewer_window( int logtodisk ); 

int parse_timestamp(char* timestamp, 
		    char*  filename, 
		    size_t timestamp_len );


int view_image(	char* im_full_path, 
		char* filename,
		char* timestamp );

//		char* framecount);

int cat_image_path( char* im_full_path,
		    size_t im_full_path_len,
		    char* log_dir,
		    char* filename );

